Bug 724846 - kdenetwork(kopete) FTBFS against qt-4.8.0-beta1
Summary: kdenetwork(kopete) FTBFS against qt-4.8.0-beta1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdenetwork
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-4.8
TreeView+ depends on / blocked
 
Reported: 2011-07-22 00:53 UTC by Rex Dieter
Modified: 2013-10-04 12:24 UTC (History)
8 users (show)

Fixed In Version: kdenetwork-4.7.0-3.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-05 23:06:22 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
KDE Software Compilation 274827 0 None None None Never
Qt Bug Tracker QTBUG-19717 0 None None None Never

Description Rex Dieter 2011-07-22 00:53:58 UTC
[ 54%] Building CXX object kget/CMakeFiles/kget.dir/ui/metalinkcreator/filedlg.o
cd /builddir/build/BUILD/kdenetwork-4.6.95/x86_64-redhat-linux-gnu/kget && /usr/bin/c++   -D_BSD_SOURCE -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -DQT_NO_STL -DQT_NO_CAST_TO_ASCII -D_REENTRANT -DKDE_DEPRECATED_WARNINGS -DKDE4_CMAKE_TOPLEVEL_DIR_LENGTH=21 -DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS -DKDE_DEFAULT_DEBUG_AREA=5001 -DHAVE_NEPOMUK -DDISABLE_NEPOMUK_LEGACY -DHAVE_QCA2 -DHAVE_QGPGME -DHAVE_KWORKSPACE -DHAVE_KONQUEROR -DHAVE_SQLITE -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic  -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-exceptions -DQT_NO_EXCEPTIONS -fno-check-new -fno-common -Woverloaded-virtual -fno-threadsafe-statics -fvisibility=hidden -Werror=return-type -fvisibility-inlines-hidden -fexceptions -UQT_NO_EXCEPTIONS -O2 -DNDEBUG -DQT_NO_DEBUG -I/builddir/build/BUILD/kdenetwork-4.6.95/x86_64-redhat-linux-gnu/kget -I/builddir/build/BUILD/kdenetwork-4.6.95/kget -I/builddir/build/BUILD/kdenetwork-4.6.95 -I/builddir/build/BUILD/kdenetwork-4.6.95/x86_64-redhat-linux-gnu -I/builddir/build/BUILD/kdenetwork-4.6.95/kget/core -I/usr/include/kde4 -I/usr/include/kde4/KDE -I/usr/include/KDE -I/usr/include/phonon -I/usr/include/QtXmlPatterns -I/usr/include/QtXml -I/usr/include/QtWebKit -I/usr/include/QtUiTools -I/usr/include/QtTest -I/usr/include/QtSvg -I/usr/include/QtSql -I/usr/include/QtScriptTools -I/usr/include/QtScript -I/usr/include/QtOpenGL -I/usr/include/QtNetwork -I/usr/include/QtMultimedia -I/usr/include/QtHelp -I/usr/include/QtDesigner -I/usr/include/QtDeclarative -I/usr/include/QtDBus -I/usr/include/Qt3Support -I/usr/include/QtGui -I/usr/include/QtCore -I/usr/include/Qt -I/usr/lib64/qt4/mkspecs/default -I/usr/include/QtCrypto    -D_GNU_SOURCE -D_LARGEFILE64_SOURCE -o CMakeFiles/kget.dir/ui/metalinkcreator/filedlg.o -c /builddir/build/BUILD/kdenetwork-4.6.95/kget/ui/metalinkcreator/filedlg.cpp
In file included from /builddir/build/BUILD/kdenetwork-4.6.95/kopete/libkopete/kopetepassword.cpp:459:0:
/builddir/build/BUILD/kdenetwork-4.6.95/x86_64-redhat-linux-gnu/kopete/libkopete/kopetepassword.moc: In static member function 'static void KopetePasswordRequestBase::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)':
/builddir/build/BUILD/kdenetwork-4.6.95/x86_64-redhat-linux-gnu/kopete/libkopete/kopetepassword.moc:133:84: error: cannot convert from base 'QObject' to derived type 'KopetePasswordRequestBase' via virtual base 'QObject'

Comment 1 Rex Dieter 2011-07-23 04:07:50 UTC
See also,
"moc generated code fail to compile if QObject is inherited virtually"
https://bugreports.qt.nokia.com/browse/QTBUG-19717

This is likely what is causing some other related ftbfs issues too.

Comment 2 Rex Dieter 2011-07-31 16:50:58 UTC
omitting FTBFS kopete for now

Comment 3 Fedora Update System 2011-08-01 17:05:38 UTC
kdenetwork-4.7.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kdenetwork-4.7.0-1.fc16

Comment 4 Radek Novacek 2011-08-02 16:41:56 UTC
Same issue affects Umbrello from kdesdk and Jovie from kdeaccessibility. Virtual inheritance is not needed in any case. Patches have been send upstream (see https://bugs.kde.org/show_bug.cgi?id=279184 and https://bugs.kde.org/show_bug.cgi?id=279186).

Comment 5 Fedora Update System 2011-08-22 15:20:39 UTC
kdenetwork-4.7.0-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Red Hat Bugzilla 2013-10-04 00:20:17 UTC
Removing external tracker bug with the id '19717' as it is not valid for this tracker


Note You need to log in before you can comment on or make changes to this bug.